%define major 1.0.2
%define comlib %mklibname woff2common %{major}
%define enclib %mklibname woff2enc %{major}
%define declib %mklibname woff2dec %{major}
%define devname %mklibname woff2 -d

Summary:	Web Open Font Format 2.0 library
Release:	1
Name:		woff2
Version:	1.0.2
License:	MIT
Group:		System/Libraries
Url:		https://github.com/google/woff2/
Source0:	https://github.com/google/woff2/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libbrotlidec)

%description
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The
primary purpose of the WOFF2 format is to efficiently package fonts linked
to Web documents by means of CSS @font-face rules.

#----------------------------------------------------------------------------

%package tools
Summary:	Web Open Font Format 2.0 tools
Group:		Archiving/Compression
Provides:	%{name} = %{EVRD}

%description tools
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The
primary purpose of the WOFF2 format is to efficiently package fonts linked
to Web documents by means of CSS @font-face rules.

%files tools
%{_bindir}/woff2_compress
%{_bindir}/woff2_decompress
%{_bindir}/woff2_info

#----------------------------------------------------------------------------

%package -n %{comlib}
Summary:	Shared data used by libwoff2 and libwoff2dec libraries
Group:		System/Libraries

%description -n %{comlib}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The
primary purpose of the WOFF2 format is to efficiently package fonts linked
to Web documents by means of CSS @font-face rules.

%files -n %{comlib}
%doc LICENSE
%{_libdir}/libwoff2common.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{enclib}
Summary:	WOFF2 encoder library
Group:		System/Libraries

%description -n %{enclib}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The
primary purpose of the WOFF2 format is to efficiently package fonts linked
to Web documents by means of CSS @font-face rules.

%files -n %{enclib}
%doc LICENSE
%{_libdir}/libwoff2enc.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{declib}
Summary:	WOFF2 decoder library
Group:		System/Libraries

%description -n %{declib}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The
primary purpose of the WOFF2 format is to efficiently package fonts linked
to Web documents by means of CSS @font-face rules.

%files -n %{declib}
%doc LICENSE
%{_libdir}/libwoff2dec.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{comlib} = %{EVRD}
Requires:	%{enclib} = %{EVRD}
Requires:	%{declib} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0 with
improved compression that is achieved by using the Brotli algorithm. The
primary purpose of the WOFF2 format is to efficiently package fonts linked
to Web documents by means of CSS @font-face rules.

%files -n %{devname}
%{_includedir}/woff2/
%{_libdir}/libwoff2*.so
%{_libdir}/pkgconfig/libwoff2*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%make

%install
%makeinstall_std -C build

# binaries
install -Dpm755 build/woff2_compress %{buildroot}%{_bindir}/woff2_compress
install -Dpm755 build/woff2_decompress %{buildroot}%{_bindir}/woff2_decompress
install -Dpm755 build/woff2_info %{buildroot}%{_bindir}/woff2_info


%changelog

* Wed May 30 2018 Rosa <rosa@abf.rosalinux.ru> 1.0.2-1
- (ff7718d) Automatic import for version 1.0.2-1


